Phones & Softphones
All operations require authentication, except the one marked Public.
List spare phonesProduction
List spare phones. Returns the spare phones of the customer. A spare phone can replace a phone of a line, with the same protocol.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ spare \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get all available spare brandsProductionPublic
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ spare/ brands[ "string"]
Get a spare phoneProduction
Get a spare phone. Returns the spare phone: MAC address, brand and model, and its telephony protocol.
Path parameters
The internal name of your spare
Response
Phone brand model
IAM resource metadata
Mac address
Phone protocol
mgcpsipExample uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ spare/ {spare} \
-H "authorization: Bearer $OVH_TOKEN"{ "brand": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "macAddress": "string", "protocol": "mgcp"}
Delete a spare phoneProduction
Delete a spare phone. Removes the spare phone from the customer account, as if it no longer belonged to OVHcloud.
Path parameters
The internal name of your spare
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ spare/ {spare} \
-H "authorization: Bearer $OVH_TOKEN"List phones replaceable by the spareProduction
List phones replaceable by the spare. Returns the phones that the spare can replace. Use one of them to replace a phone with the spare.
Path parameters
The internal name of your spare
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ spare/ {spare}/ compatibleReplacement \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Replace a phone with the spareProduction
Replace a phone with the spare. Replaces the phone of a line, given by its domain and public IP address, with the spare. The replaced phone becomes a spare if it was bought.
Path parameters
The internal name of your spare
Request body (required)
The phone to replace by the spare
Public ip of the phone
Response
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ spare/ {spare}/ replace \
-H "authorization: Bearer $OVH_TOKEN"Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your spare
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ spare/ {spare}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your spare
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses spare = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ spare/ {spare}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List phone devicesProduction
List phone devices. Returns the phone devices of the billing account: brand, MAC address, maximum and available lines, and the lines assigned to each one.
Path parameters
The name of your billingAccount
Response
Number of line slots still available on this device
Brand of the device
Public description of the device
Lines currently assigned to this device
Number of lines currently assigned to this device
MAC address of the device
Maximum number of lines the device can handle
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ availableDevices \
-H "authorization: Bearer $OVH_TOKEN"[ { "availableSlots": 0, "brand": "string", "description": "string", "lines": [ { "billingAccount": "string", "description": "string", "isRoot": true, "numberInternational": "string" } ], "linesCount": 0, "macAddress": "string", "maxLines": 0 }]
Check for a new phone to activateProduction
Check for a new phone to activate. Checks whether a new phone is waiting to be activated on the line, after a phone switch.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ activateNewPhone \
-H "authorization: Bearer $OVH_TOKEN"Activate a new phoneProduction
Activate a new phone. Activates the new phone on the line, after a phone switch. Check first that a new phone is waiting to be activated.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ activateNewPhone \
-H "authorization: Bearer $OVH_TOKEN"Associate a deviceProduction
Associate a device. Associates a phone with the line, using the phone MAC address (AABBCCDDEEFF), its public IP address and the slot of the line on the phone.
Path parameters
The name of your billingAccount
Request body (required)
The public phone IP address allowed to get phone's configuration
The mac address of the device you want to associate to the line (format: AABBCCDDEEFF)
The slot or line position on the device (from 1 to N. N is the maximum number of lines/slots available on the device)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ associateDevice \
-H "authorization: Bearer $OVH_TOKEN"Dissociate a deviceProduction
Dissociate a device. Dissociates a phone from the line, using the phone MAC address (AABBCCDDEEFF) and its public IP address.
Path parameters
The name of your billingAccount
Request body (required)
The public phone IP address allowed to get phone's configuration
The mac address of the device you want to dissociate from the line (format: AABBCCDDEEFF)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ dissociateDevice \
-H "authorization: Bearer $OVH_TOKEN"List associable phonesProduction
List associable phones. Returns the phones with a free slot that the line can be attached to, with their brand, protocol, attached lines and maximum number of lines.
Path parameters
The name of your billingAccount
Response
Current lines configured on the phone
Brand name of the phone
Maximum quantity of lines managed by the phone
Phone protocol
mgcpsipExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ listAssociablePhones \
-H "authorization: Bearer $OVH_TOKEN"[ { "associatedLines": [ { "description": "string", "serviceName": "string" } ], "brand": "string", "maxLines": 0, "protocol": "mgcp" }]
Get the phoneProduction
Get the phone. Returns the phone attached to the line: brand, MAC address, protocol, description, maximum lines and simultaneous calls, and configuration.
Path parameters
The name of your billingAccount
Response
Brand name
The phone description
Mac Address
Maximum simultaneous calls managed by the phone
Maximum number of lines managed by a phone
The ip restriction of your MGCP phone
Current phone properties
Phone protocol
mgcpsipThe phone user password
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone \
-H "authorization: Bearer $OVH_TOKEN"{ "brand": "string", "description": "string", "macAddress": "string", "maxSimultaneousCalls": 0, "maxline": 0, "mgcpIpRestriction": "192.0.2.0", "phoneConfiguration": [ { "default": "string", "description": "string", "enum": [ "string" ], "group": "string", "level": "admin", "maxlength": 0, "name": "string", "rangeValue": { "from": 0, "to": 0 }, "type": "boolean", "value": "string" } ], "protocol": "mgcp", "userPassword": "string"}
Update the phoneProduction
Update the phone. Updates the phone attached to the line: the IP address restriction of an MGCP phone.
Path parameters
The name of your billingAccount
Request body (required)
Brand name
The phone description
Mac Address
Maximum simultaneous calls managed by the phone
Maximum number of lines managed by a phone
The ip restriction of your MGCP phone
Current phone properties
Phone protocol
mgcpsipThe phone user password
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone \
-H "authorization: Bearer $OVH_TOKEN"Get the phone admin credentialsProduction
Get the phone admin credentials. Returns the administration login and password of the phone. Available to VIP customers only.
Path parameters
The name of your billingAccount
Response
Username to access the web interface of the phone
Password to access the web interface of the phone
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ adminCredentials \
-H "authorization: Bearer $OVH_TOKEN"{ "login": "string", "password": "string"}
Change the phone configurationProduction
Change the phone configuration. Changes the phone configuration remotely with name value pairs of provisioning options, and can reboot the phone to apply them.
Path parameters
The name of your billingAccount
Request body (required)
Automatically reboot phone when applying the configuration
Name value pairs of provisioning options
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ changePhoneConfiguration \
-H "authorization: Bearer $OVH_TOKEN"List function keysProduction
List function keys. Returns the numbers (keyNum) of the function keys of the phone. Get a function key for its label, type and active function.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ functionKey \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a function keyProduction
Get a function key. Returns the function key of the phone: number, label, type, default function, active function and its parameter.
Path parameters
The name of your billingAccount
The number of the function key
Response
The default function used by the key
The function active on the key
The number of the function key
The key label
The function parameter
The key type
Example uses billingAccount = string, keyNum = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ functionKey/ {keyNum} \
-H "authorization: Bearer $OVH_TOKEN"{ "default": "string", "function": "string", "keyNum": 0, "label": "string", "parameter": "string", "type": "string"}
Update a function keyProduction
Update a function key. Updates the function active on the key and its parameter. The available functions are listed for each key.
Path parameters
The name of your billingAccount
The number of the function key
Request body (required)
The default function used by the key
The function active on the key
The number of the function key
The key label
The function parameter
The key type
Response
Example uses billingAccount = string, keyNum = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ functionKey/ {keyNum} \
-H "authorization: Bearer $OVH_TOKEN"List available functionsProduction
List available functions. Returns the functions that can be set on the function key. Set one with the function and parameter of the key.
Path parameters
The name of your billingAccount
The number of the function key
Response
Example uses billingAccount = string, keyNum = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ functionKey/ {keyNum}/ availableFunction \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List exchange phonesProduction
List exchange phones. Returns the phones available to exchange the current phone, with their name, description, URL and price.
Path parameters
The name of your billingAccount
Response
The telephony description
The telephony name
Telephony price
An URL to telephony details
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ merchandiseAvailable \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string" }]
List phonebooksProduction
List phonebooks. Returns the identifiers (bookKey) of the phonebooks of the phone. Check first that the phone supports phonebooks.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a phonebookProduction
Get a phonebook. Returns the phonebook of the phone: name, identifier (bookKey), phone key and whether it is read-only.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Identifier of the phonebook
Set if phonebook is readonly
Phonebook name
Phone key identifier between the phone and phonebooks
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"{ "bookKey": "string", "isReadonly": true, "name": "string", "phoneKey": "string"}
Create a phonebookProduction
Create a phonebook. Creates a phonebook on the phone of the line, if the phone supports phonebooks. Returns its identifier (bookKey).
Path parameters
The name of your billingAccount
Request body (required)
Name of the wanted phonebook
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a phonebookProduction
Delete a phonebook. Deletes the phonebook of the phone and its contacts. Export the contacts first to keep a copy.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Update a phonebookProduction
Update a phonebook. Updates the name of the phonebook of the phone. Contacts are updated one by one with the phonebookContact route.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Identifier of the phonebook
Set if phonebook is readonly
Phonebook name
Phone key identifier between the phone and phonebooks
Response
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Export contactsProduction
Export contacts. Exports the contacts of the phonebook to a file in CSV format. Returns the file to download.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Query parameters
Format of the file
csvResponse
File providing task status
doingdoneerrortodoExample uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ export \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
Import contactsProduction
Import contacts. Imports contacts into the phonebook from an Excel (.xls, .xlsx) or CSV file in /me/document. Returns the task that performs the import.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
ID of the /me/document file you want to import
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List contactsProduction
List contacts. Returns the identifiers of the contacts of the phonebook. Get a contact for its name, group and phone numbers.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a contactProduction
Get a contact. Returns the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}
Create a contactProduction
Create a contact. Creates a contact in the phonebook with a name, surname, group and phone numbers. Returns its identifier.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Name of the contact
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"0
Delete a contactProduction
Delete a contact. Deletes the contact from the phonebook, with its name, group and office and home phone numbers.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a contactProduction
Update a contact. Updates the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Reboot the phoneProduction
Reboot the phone. Reboots the phone attached to the line. Returns the task that tracks the reboot, to follow its status.
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ reboot \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Refresh the phone screenProduction
Refresh the phone screen. Refreshes the screen of the MGCP phone. Returns the task that tracks the refresh.
Path parameters
The name of your billingAccount
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ refreshScreen \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Reset the phone configurationProduction
Reset the phone configuration. Resets the phone configuration to its default values, for the given public IP address. Returns the reset code and the reset method.
Path parameters
The name of your billingAccount
Request body (required)
The public ip phone allowed for reset
Response
Reset code informations
Which way had been used to reset the phone
codehttpExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ resetConfig \
-H "authorization: Bearer $OVH_TOKEN"{ "resetCodeInfo": { "activationCode": "string", "keyBook": "string", "serverURL": "string" }, "resetPhoneMethod": "code"}
List RMAsProduction
List RMAs. Returns the identifiers of the RMAs of the phone. An RMA is a request to return or exchange a phone.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an RMAProduction
Get an RMA. Returns the RMA: type, process, status and steps, creation, reception and termination dates, equipment reference and shipping contact.
Path parameters
The name of your billingAccount
Return merchandise authorisation identifier
Response
Is the RMA cancellable?
Creation datetime of the return merchandise authorisation ticket
Merchandise reference
Return merchandise authorisation identifier
New merchandise brand in case of exchange
Offer type of the new merchandise in case of exchange
depositloanpurchaseOffer type of the return merchandise
depositloanpurchaseProcess determined for merchandise returned
changePhonephoneRestitutionundefinedReception datetime of the return merchandise authorisation ticket
Contact information related to the delivery shipping in case of exchange
Return merchandise authorisation step
closedopenreceivedIndicates the current status of the RMA with a list of steps
Termination datetime of the return merchandise authorisation ticket
Typology process of merchandise return
after sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknownExample uses billingAccount = string, id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "cancellable": true, "creationDatetime": "2024-01-01T12:00:00Z", "equipmentReference": "string", "id": "string", "newMerchandise": "string", "offerTypeNew": "deposit", "offerTypeOld": "deposit", "process": "changePhone", "receptionDatetime": "2024-01-01T12:00:00Z", "shippingContact": { "address": "string", "city": "string", "country": "ac", "email": "string", "firstname": "string", "name": "string", "organisation": "string", "phone": "string", "zip": "string" }, "status": "closed", "steps": [ { "description": "string", "doneDate": "2024-01-01T12:00:00Z", "infos": "string", "name": "dispatchJustification", "status": "done" } ], "terminationDatetime": "2024-01-01T12:00:00Z", "type": "after sale equipment service exchange"}
Create an RMAProduction
Create an RMA. Creates an RMA to return the phone and keep the service, or to exchange it for another phone. Returns the RMA identifier.
Path parameters
The name of your billingAccount
Request body (required)
Use /supply/mondialRelay entry point to specify a relay point and ignore shipping contact address information entry.
New merchandise brand in case of exchange
Shipping contact information id from /me entry point
Typology process of merchandise return
change to another phone/equipment (restitution first and shipping then)restitution but keep the service enableResponse
Voucher reference identifier of the return merchandise authorisation
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string"}
Cancel an RMAProduction
Cancel an RMA. Cancels the RMA of the phone. Only an RMA marked as cancellable, as returned when getting the RMA, can be cancelled.
Path parameters
The name of your billingAccount
Return merchandise authorisation identifier
Response
Example uses billingAccount = string, id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update an RMAProduction
Update an RMA. Updates the shipping contact used for an exchange and the process determined for the returned phone.
Path parameters
The name of your billingAccount
Return merchandise authorisation identifier
Request body (required)
Is the RMA cancellable?
Creation datetime of the return merchandise authorisation ticket
Merchandise reference
Return merchandise authorisation identifier
New merchandise brand in case of exchange
Offer type of the new merchandise in case of exchange
depositloanpurchaseOffer type of the return merchandise
depositloanpurchaseProcess determined for merchandise returned
changePhonephoneRestitutionundefinedReception datetime of the return merchandise authorisation ticket
Contact information related to the delivery shipping in case of exchange
Return merchandise authorisation step
closedopenreceivedIndicates the current status of the RMA with a list of steps
Termination datetime of the return merchandise authorisation ticket
Typology process of merchandise return
after sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknownResponse
Example uses billingAccount = string, id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Change the RMA typeProduction
Change the RMA type. Changes the type of the RMA to a termination (resiliate) or a phone restitution (toSip).
Path parameters
The name of your billingAccount
Return merchandise authorisation identifier
Request body (required)
new RMA type
resiliatetoSipResponse
Example uses billingAccount = string, id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ rma/ {id}/ changeType \
-H "authorization: Bearer $OVH_TOKEN"Check phonebook supportProduction
Check phonebook support. Returns whether the phone supports phonebooks. Phonebooks can be created on the phone only when it does.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phone/ supportsPhonebook \
-H "authorization: Bearer $OVH_TOKEN"true
List phones with a free SIP slotDeprecated
Deprecated since May 9, 2017, will be removed on Nov 9, 2016 — use /telephony/{billingAccount}/line/{serviceName}/listAssociablePhones instead.
List phones with a free SIP slot. Returns the phones with a free SIP slot for the line: brand, protocol, maximum number of lines, price and fees.
Path parameters
The name of your billingAccount
Response
Brand name of the phone
The phone description
Setup fees
Maximum number of lines managed by a phone
Type of purchase
depositloanpurchaseTelephony price
Phone protocol
mgcpsipExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ phoneCanBeAssociable \
-H "authorization: Bearer $OVH_TOKEN"[ { "brand": "string", "description": "string", "fees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "maxline": 0, "offerType": "deposit", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "protocol": "mgcp" }]
List unreturned old phonesProduction
List unreturned old phones. Returns the old phones not returned after an RMA, with their model and MAC address.
Path parameters
The name of your billingAccount
Response
Mac address of the phone
Model of the phone
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ oldPhone \
-H "authorization: Bearer $OVH_TOKEN"[ { "mac": "string", "model": "string" }]
List phonebooksProduction
List phonebooks. Returns the identifiers (bookKey) of the phonebooks shared by the billing account. A phonebook stores contacts with their phone numbers.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a phonebookProduction
Get a phonebook. Returns the name and the identifier (bookKey) of the phonebook shared by the billing account.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Identifier of the phonebook
Phone book name
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"{ "bookKey": "string", "name": "string"}
Create a phonebookProduction
Create a phonebook. Creates a phonebook shared by the billing account. Returns its identifier (bookKey).
Path parameters
The name of your billingAccount
Request body (required)
Name of the wanted phonebook
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a phonebookProduction
Delete a phonebook. Deletes the phonebook shared by the billing account and its contacts. Export the contacts first to keep a copy.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Update a phonebookProduction
Update a phonebook. Updates the name of the phonebook shared by the billing account. Contacts are updated one by one.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Identifier of the phonebook
Phone book name
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Export contactsProduction
Export contacts. Exports the contacts of the phonebook to a file in CSV format. Returns the file to download.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Query parameters
Format of the file
csvResponse
File providing task status
doingdoneerrortodoExample uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ export \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
Import contactsProduction
Import contacts. Imports contacts into the phonebook from an Excel (.xls, .xlsx) or CSV file in /me/document. Returns the task that performs the import.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
ID of the /me/document file you want to import
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List contactsProduction
List contacts. Returns the identifiers of the contacts of the phonebook. Get a contact for its name, group and phone numbers.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a contactProduction
Get a contact. Returns the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Example uses billingAccount = string, bookKey = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}
Create a contactProduction
Create a contact. Creates a contact in the phonebook with a name, surname, group and phone numbers. Returns its identifier.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Name of the contact
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"0
Delete a contactProduction
Delete a contact. Deletes the contact from the phonebook, with its name, group and office and home phone numbers.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Example uses billingAccount = string, bookKey = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a contactProduction
Update a contact. Updates the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get all available accessoriesProduction
Query parameters
Phone brand
The country
bechdeesfrgbukResponse
The accessory description
The accessory name
Accessory price
An URL to accessory details
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ accessories \
-H "authorization: Bearer $OVH_TOKEN"[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string" }]
Get the softphone store linksProduction
Returns the links to download the softphone application for Android, iOS, macOS and Windows.
Response
Android application store link
iOS application store link
MacOS application store link
Windows application store link
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ softphone/ storeLinks \
-H "authorization: Bearer $OVH_TOKEN"{ "android": "string", "ios": "string", "macos": "string", "windows": "string"}
List softphone themesProduction
Returns the identifiers of the available softphone themes.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ softphone/ themes \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a softphone themeProduction
Returns the softphone theme and its main color code.
Path parameters
Theme ID
Response
Theme main color code
Theme ID
Example uses themeId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ softphone/ themes/ {themeId} \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}
Get the softphone beta statusProduction
Returns whether the softphone beta is enabled on the line.
Path parameters
The name of your billingAccount
Response
Whether Softphone beta is enabled or disabled
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ beta \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true}
Update the softphone beta statusProduction
Enables or disables the softphone beta on the line.
Path parameters
The name of your billingAccount
Request body (required)
Whether Softphone beta is enabled or disabled
Response
Whether Softphone beta is enabled or disabled
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ beta \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true}
List softphone devicesProduction
Returns the softphone devices registered on the line: name, operating system, user agent and last registration date.
Path parameters
The name of your billingAccount
Response
Device ID
Device name
Device operating system
Last device register date
Device user agent
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ devices \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": "string", "name": "string", "os": "string", "updateTime": "2024-01-01T12:00:00Z", "userAgent": "string" }]
Disconnect all softphone devicesProduction
Disconnects every softphone device registered on the line.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ devices/ disconnect \
-H "authorization: Bearer $OVH_TOKEN"Delete a softphone deviceProduction
Deletes a softphone device registered on the line.
Path parameters
The name of your billingAccount
Device ID
Response
Example uses billingAccount = string, deviceId = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ devices/ {deviceId} \
-H "authorization: Bearer $OVH_TOKEN"Get the line softphone logoProduction
Returns the softphone logo of the line: file name and download URL.
Path parameters
The name of your billingAccount
Response
Logo filename
URL used to download logo
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "url": "string"}
Update the line softphone logoProduction
Sets the softphone logo of the line from a file name and a URL.
Path parameters
The name of your billingAccount
Request body (required)
Logo filename
URL used to download logo
Response
Logo filename
URL used to download logo
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "url": "string"}
Delete the line softphone logoProduction
Deletes the softphone logo of the line.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"Get the line softphone statusProduction
Returns the softphone status of the line: eligibility, beta activation and infrastructure.
Path parameters
The name of your billingAccount
Response
Line beta softphone activation status
Line eligibility to softphone
Line infrastructure
LEGACYNOWIExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ status \
-H "authorization: Bearer $OVH_TOKEN"{ "activation": true, "eligibility": true, "infrastructure": "LEGACY"}
Get the line softphone themeProduction
Returns the softphone theme of the line and its main color code.
Path parameters
The name of your billingAccount
Response
Theme main color code
Theme ID
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}
Update the line softphone themeProduction
Sets the softphone theme of the line from a theme identifier.
Path parameters
The name of your billingAccount
Request body (required)
Theme ID
Response
Theme main color code
Theme ID
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}
Delete the line softphone themeProduction
Deletes the softphone theme of the line.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"Generate a provisioning tokenProduction
Generates a token to register a softphone device on the line, and sends it to the given email address.
Path parameters
The name of your billingAccount
Request body (required)
Email to receive the generated provisioning token
Response
Provisioning token used to register device
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ line/ {serviceName}/ softphone/ token \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Get the billing account softphone logoProduction
Returns the softphone logo of the billing account: file name and download URL.
Path parameters
The name of your billingAccount
Response
Logo filename
URL used to download logo
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "url": "string"}
Update the billing account softphone logoProduction
Sets the softphone logo of the billing account from a file name and a URL.
Path parameters
The name of your billingAccount
Request body (required)
Logo filename
URL used to download logo
Response
Logo filename
URL used to download logo
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "url": "string"}
Delete the billing account softphone logoProduction
Deletes the softphone logo of the billing account.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ softphone/ logo \
-H "authorization: Bearer $OVH_TOKEN"Get the billing account softphone themeProduction
Returns the softphone theme of the billing account and its main color code.
Path parameters
The name of your billingAccount
Response
Theme main color code
Theme ID
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}
Update the billing account softphone themeProduction
Sets the softphone theme of the billing account from a theme identifier.
Path parameters
The name of your billingAccount
Request body (required)
Theme ID
Response
Theme main color code
Theme ID
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ softphone/ theme \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "themeId": 0}